org.eclipse.emf.cdo.spi.common.revision

## Class CDORevisionMerger

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.revision.CDOFeatureDeltaVisitorImpl
  - - org.eclipse.emf.cdo.spi.common.revision.CDORevisionMerger

- All Implemented Interfaces:
    CDOFeatureDeltaVisitor

      public class CDORevisionMerger
      extends CDOFeatureDeltaVisitorImpl

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDORevisionMerger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `merge(InternalCDORevision revision, CDORevisionDelta delta)`
    `void` | `visit(CDOAddFeatureDelta delta)`
    `void` | `visit(CDOClearFeatureDelta delta)`
    `void` | `visit(CDOContainerFeatureDelta delta)`
    `void` | `visit(CDOMoveFeatureDelta delta)`
    `void` | `visit(CDORemoveFeatureDelta delta)`
    `void` | `visit(CDOSetFeatureDelta delta)`
    `void` | `visit(CDOUnsetFeatureDelta delta)`

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.CDOFeatureDeltaVisitorImpl

      `stopVisit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDORevisionMerger

          public CDORevisionMerger()

  - ### Method Detail

    - #### merge

          public void merge(InternalCDORevision revision,
                            CDORevisionDelta delta)

    - #### visit

          public void visit(CDOMoveFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDOAddFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDORemoveFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDOSetFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDOUnsetFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDOClearFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

    - #### visit

          public void visit(CDOContainerFeatureDelta delta)

      Specified by:
        `visit` in interface `CDOFeatureDeltaVisitor`
      Overrides:
        `visit` in class `CDOFeatureDeltaVisitorImpl`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html